Home / Lua API Manual / types / lua_label
< lua_file_chooser_button
lua_os_type >

# lua_label

`dt_type`

A label containing some text

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_label.__call

see types.lua_widget.As a function

# 🔗lua_label.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_label.label

`string`

The label displayed

Attributes:

- write

# 🔗lua_label.selectable

`boolean`

True if the label content should be selectable

Attributes:

- write

# 🔗lua_label.halign

types.dt_lua_align_t

The horizontal alignment of the label

Attributes:

- write

# 🔗lua_label.ellipsize

types.dt_lua_ellipsize_mode_t

The ellipsize mode of the label

Attributes:

- write

< lua_file_chooser_button
lua_os_type >